%define major           1
%define libname         %mklibname vdpau-va-gl %{major}

Name:           libvdpau-va-gl
Version:        0.4.2
Release:        %mkrel 2
Summary:        VDPAU driver with OpenGL/VAAPI back-end
Group:		System/Kernel and hardware

License:        LGPLv3
URL:            https://github.com/i-rinat/libvdpau-va-gl
Source0:        https://github.com/i-rinat/libvdpau-va-gl/archive/v%{version}.tar.xz
#Patch0:		build-fix.diff

ExclusiveArch:  %ix86 x86_64

BuildRequires:  cmake
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)

Requires: libva-intel-driver

%description 
VDPAU driver with OpenGL/VAAPI back-end.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Obsoletes:	libvdpau-va-gl < 0.3.4-4

%description -n %{libname}
VDPAU driver with OpenGL/VAAPI back-end.

%prep
%setup -q

%build
%{cmake} \
  -DLIB_INSTALL_DIR=%{_libdir}/vdpau 
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#This automatically enable vdpau backend on intel i965
ln -s libvdpau_va_gl.so.1 $RPM_BUILD_ROOT%{_libdir}/vdpau/libvdpau_i965.so.1


%files -n %{libname}
%{_libdir}/vdpau/libvdpau_va_gl.so.1
%exclude %{_libdir}/vdpau/libvdpau_va_gl.so
#Hack - See above
%{_libdir}/vdpau/libvdpau_i965.so.1


%changelog
* Wed Jan 10 2018 adrianomorselli <adrianomorselli> 0.4.2-2uplos2018
- rebuild for 2018
